<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <style>
        .post {
            padding: 1em;
        }
        .container {
            margin: 0 auto;
        }
    </style>
</head>
<body>
    <div class="container">
    {{ posts }}
        {% for post in posts %}
            <div class="post">
                <a href="/{{ posts[post].key.id() }}"><h1 class="title">{{ posts[post].title }}</h1></a>
                <h4>{{ posts[post].date.strftime("%b %d, %Y") }}</h4>
                <p class="post">{{ posts[post].content }}</p>
            </div>
        {% endfor %}
    </div>
    <p>{{ queried_front }}</p>
</body>
</html>